{
  description = "Horizon Haskell Advance: Selected Libraries That Required Advance Future Proofing.";

  nixConfig = {
    extra-substituters = "https://horizon.cachix.org";
    extra-trusted-public-keys = "horizon.cachix.org-1:MeEEDRhRZTgv/FFGCv3479/dmJDfJ82G6kfUDxMSAw0=";
  };

  inputs = {
    flake-parts.follows = "horizon-core/flake-parts";
    horizon-core.url = "git+https://gitlab.horizon-haskell.net/package-sets/horizon-core";
    horizon-hoogle.url = "git+https://gitlab.horizon-haskell.net/nix/horizon-hoogle";
    nixpkgs.url = "github:NixOS/nixpkgs/haskell-updates";
  };

  outputs = inputs:
    inputs.flake-parts.lib.mkFlake { inherit inputs; }
      {
        systems = [
          "aarch64-darwin"
          "aarch64-linux"
          "x86_64-darwin"
          "x86_64-linux"
        ];
        imports = [
          inputs.horizon-hoogle.flakeModule
        ];
        perSystem = { pkgs, system, ... }:
          with pkgs.lib;
          let
            haskellLib = pkgs.haskell.lib.compose;
            modifiers = import ./modifiers.nix { inherit pkgs; };
            overrides = composeManyExtensions [
              (import ./overlay.nix { inherit pkgs; f = modifiers; })
              (import ./configuration.nix { inherit pkgs; })
              (import ./configuration/patches.nix { inherit haskellLib; })
            ];

            legacyPackages = inputs.horizon-core.legacyPackages.${system}.extend overrides;

            packages = filterAttrs (_: isDerivation) legacyPackages;
          in
          {

            inherit legacyPackages;
            inherit packages;
          };
      };
}
