{ mkDerivation, Cabal, STMonadTrans, aeson, alex, ansi-terminal
, array, async, base, binary, blaze-html, boxes, bytestring
, case-insensitive, containers, data-hash, deepseq, directory
, dlist, edit-distance, emacs, equivalence, exceptions, filepath
, ghc-compact, gitrev, happy, hashable, haskeline, lib
, monad-control, mtl, murmur-hash, parallel, peano, pqueue, pretty
, process, regex-tdfa, split, stm, strict, text, time, transformers
, unordered-containers, uri-encode, vector, vector-hashtables, zlib
}:
mkDerivation {
  pname = "Agda";
  version = "2.7.0.1";
  sha256 = "34f6d60a4d4ef7d1946b785e1ed1e410906546151419da9823c03bdf5705f68e";
  isLibrary = true;
  isExecutable = true;
  enableSeparateDataOutput = true;
  setupHaskellDepends = [ base Cabal directory filepath process ];
  libraryHaskellDepends = [
    aeson ansi-terminal array async base binary blaze-html boxes
    bytestring case-insensitive containers data-hash deepseq directory
    dlist edit-distance equivalence exceptions filepath ghc-compact
    gitrev hashable haskeline monad-control mtl murmur-hash parallel
    peano pqueue pretty process regex-tdfa split stm STMonadTrans
    strict text time transformers unordered-containers uri-encode
    vector vector-hashtables zlib
  ];
  libraryToolDepends = [ alex happy ];
  executableHaskellDepends = [ base directory filepath process ];
  executableToolDepends = [ emacs ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  homepage = "https://wiki.portal.chalmers.se/agda/";
  description = "A dependently typed functional programming language and proof assistant";
  license = lib.licenses.mit;
  broken = false;
}