{ mkDerivation, Cabal, base, cabal-doctest, containers, doctest
, fetchgit, ghc, ghc-tcplugins-extra, hspec, hspec-discover
, inspection-testing, lib, polysemy, should-not-typecheck, syb
, transformers
}:
mkDerivation {
  pname = "polysemy-plugin";
  version = "0.4.5.2";
  src = fetchgit {
    url = "https://github.com/locallycompact/polysemy";
    sha256 = "0xvz4x9i4gnvca0h6hx3zzxdp5807d4ji4xc9pvqpc81qnslr6qh";
    rev = "ea1e171d4b7f0031ba5349f5851f2518ea9e29b7";
    fetchSubmodules = true;
  };
  postUnpack = "sourceRoot+=/polysemy-plugin/; echo source root reset to $sourceRoot";
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  setupHaskellDepends = [ base Cabal cabal-doctest ];
  libraryHaskellDepends = [
    base containers ghc ghc-tcplugins-extra polysemy syb transformers
  ];
  testHaskellDepends = [
    base containers doctest ghc ghc-tcplugins-extra hspec
    hspec-discover inspection-testing polysemy should-not-typecheck syb
    transformers
  ];
  testToolDepends = [ hspec-discover ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  homepage = "https://github.com/polysemy-research/polysemy#readme";
  description = "Disambiguate obvious uses of effects";
  license = lib.licenses.bsd3;
  broken = false;
}