{ mkDerivation, base, bytestring, containers, exceptions, fetchgit
, lib, mtl, random, text, time, uuid-types
}:
mkDerivation {
  pname = "selda";
  version = "0.5.2.1";
  src = fetchgit {
    url = "https://github.com/guibou/selda";
    sha256 = "0q8m8asmb83mpa3j3adlrhc446xif7gv6lql20gv05k33lmbjfhg";
    rev = "54c12169ce8cd46a7b3c698f65cea55e41a13fe6";
    fetchSubmodules = true;
  };
  postUnpack = "sourceRoot+=/selda/; echo source root reset to $sourceRoot";
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [
    base bytestring containers exceptions mtl random text time
    uuid-types
  ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  homepage = "https://selda.link";
  description = "Multi-backend, high-level EDSL for interacting with SQL databases";
  license = lib.licenses.mit;
  broken = false;
}