{ mkDerivation, HUnit, QuickCheck, aeson, base, base-compat
, bytestring, containers, deepseq, entropy, exceptions, hspec
, hspec-discover, http-api-data, http-client, http-media
, http-types, kan-extensions, lib, markdown-unlit, monad-control
, mtl, network, semigroupoids, servant, servant-client-core
, servant-server, sop-core, stm, text, time, transformers
, transformers-base, wai, warp
}:
mkDerivation {
  pname = "servant-client";
  version = "0.20.2";
  sha256 = "efe4c2ebefbf871f2d682ba1aa75fbdf33e532ae5d7a329038a62f3131b8cb08";
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [
    base base-compat bytestring containers deepseq exceptions
    http-client http-media http-types kan-extensions monad-control mtl
    semigroupoids servant servant-client-core stm time transformers
    transformers-base
  ];
  testHaskellDepends = [
    aeson base base-compat bytestring entropy hspec http-api-data
    http-client http-types HUnit markdown-unlit mtl network QuickCheck
    servant servant-client-core servant-server sop-core stm text
    transformers wai warp
  ];
  testToolDepends = [ hspec-discover markdown-unlit ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  homepage = "http://docs.servant.dev/";
  description = "Automatic derivation of querying functions for servant";
  license = lib.licenses.bsd3;
  broken = false;
}